curl --request POST \
--url https://api.zelto.ai/v1/organizations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"ownerEmail": "jsmith@example.com",
"timezone": "<string>"
}
'import requests
url = "https://api.zelto.ai/v1/organizations"
payload = {
"name": "<string>",
"ownerEmail": "jsmith@example.com",
"timezone": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', ownerEmail: 'jsmith@example.com', timezone: '<string>'})
};
fetch('https://api.zelto.ai/v1/organizations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"orgUrl": "<string>",
"ownerUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created": {
"org": true,
"user": true
}
}{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"orgUrl": "<string>",
"ownerUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created": {
"org": true,
"user": true
}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}Proveer una organización (clave de servicio)
Cree una organización Zelto sin rumbo desde una automatización (por ejemplo, un proveedor de Slack / CRM) durante una llamada de ventas. Encuentra o crea al usuario propietario por correo electrónico, crea la organización y un owner Se rechazan las claves de cliente de solo lectura org-scoped con 403 y se invita al propietario a configurar su inicio de sesión. Idempotente: una llamada repetida con el mismo nombre de org y correo electrónico del propietario devuelve la org existente ( created.org=false En lugar de duplicar.
Autorizaciones
Envía Authorization: Bearer YOUR_API_KEY. La clave corresponde a una sola organización.
Cuerpo
Nombre de la organización.
1 - 255Correo electrónico del propietario de la organización; el usuario es encontrado o creado.
255Zona horaria de la IANA (por ejemplo, America/NewYork). Valores predeterminados en UTC.
Locale predeterminado para la organización. Por defecto para en-us.
en-us, es, pt Respuesta
Devuelve la organización existente (repetición idempotente).

